sub avp_scanner {
  #Kaspersky  AVPLinux scanner
  &debug("kasp: starting scan of directory \"$scandir/$file_id\"...");
  my ($avp_verbose)="-O" if ($DEBUG);
  my ($start_avp_time)=[gettimeofday];
  my ($DD,$avp_status,$stop_avp_time,$avp_time);
  &debug("run $avp_binary  -Y -P -B -MP -MD -* $avp_verbose $scandir/$file_id  2>&1");
  $DD=`$avp_binary -Y -P -B -MP -MD -* $avp_verbose $scandir/$file_id 2>&1`;
  $avp_status=($? >> 8);
  &debug("--output of avp was:\n$DD--");
  if ( $avp_status > 0 ) {
    if ($avp_status =~ /^(2|3|4|8)$/) {
      #This covers the potential viruses
      $quarantine_description="suspicious";
      if ($DD =~ /\n(.*) (infected|suspicion): (.*)\n/) {
	#This covers the specific
	$quarantine_description=$3;
      }
      &debug("There be a virus! ($quarantine_description)");
      ($quarantine_event=$quarantine_description)=~s/\s/_/g;
      $quarantine_event="AVP:".substr($quarantine_event,0,$QE_LEN);
    } else {
      &tempfail("corrupt or unknown Kaspersky scanner/resource problems - exit status $avp_status");
    }
  }
  $stop_avp_time=[gettimeofday];
  $avp_time = tv_interval ($start_avp_time, $stop_avp_time);
  &debug("kasp: finished scan of dir \"$scandir/$file_id\" in $avp_time secs");
}
