sub clamscan_scanner {
  #ClamScan scanner
  &debug("clamscan: starting scan of directory \"$scandir/$file_id\"...");

  my ($clamscan_verbose)="-v" if ($DEBUG);
  my ($start_clamscan_time)=[gettimeofday];
  my ($DD,$clamscan_status,$stop_clamscan_time,$clamscan_time);
  my ($clamscan_status);

  &debug("run $clamscan_binary -r  --tempdir=$scandir/$file_id --disable-summary --unzip --unrar --unace --unarj --zoo --lha --jar --tar --tgz  $scandir/$file_id 2>&1");

  $DD=`$clamscan_binary  -r  --tempdir=$scandir/$file_id  --disable-summary --unzip --unrar --unace --unarj --zoo --lha --jar --tar --tgz  $scandir/$file_id 2>&1`;
  $clamscan_status=($? >> 8);

  &debug("--output of clamscan was:\n$DD--");

  if ( $clamscan_status > 0 ) {
    if ($clamscan_status == 1 && $DD =~ /\:\s(.*)\sFOUND\n/) {
      $quarantine_description=$+;
      &debug("There be a virus! ($quarantine_description)");
      ($quarantine_event=$quarantine_description)=~s/\s/_/g;
      $quarantine_event="CLAMSCAN:".substr($quarantine_event,0,$QE_LEN);
      $description .= "\n---clamscan results ---\n$DD";
    } else {
      #This implies a corrupt set of DAT files or resource problems...
      &tempfail("clam_scanner: corrupt or unknown ClamAV scanner/resource problems - exit status $clamscan_status");
    }
  }
  
  $stop_clamscan_time=[gettimeofday];
  $clamscan_time = tv_interval ($start_clamscan_time, $stop_clamscan_time);
  &debug("clamscan: finished scan of dir \"$scandir/$file_id\" in $clamscan_time secs");
}
