sub csav_scanner {
  #Command scanner
  &debug("csav_scanner: starting scan of directory \"$scandir/$file_id\"...");
  my ($csav_verbose)="-silent" if (!$DEBUG);
  my ($csav_list)="-list" if ($DEBUG);
  my ($start_csav_time)=[gettimeofday];
  my ($DD,$csav_status,$stop_csav_time,$csav_time);
  my $options = "-nomem -packed -archive -noboot";

  my ($cmd);
  $cmd="$csav_binary $csav_verbose $csav_list $options $scandir/$file_id 2>&1";
  &debug("csav_scanner: $cmd");
  $DD =`$cmd`;
  
  if ($DD =~ / Infection: (.*)/) {
    $quarantine_description=$1;
    &debug("There be a virus! ($quarantine_description)");
    ($quarantine_event=$quarantine_description)=~s/\s/_/g;
    $quarantine_event="CSAV:".substr($quarantine_event,0,$QE_LEN);
  }  
  
  $stop_csav_time=[gettimeofday];
  $csav_time = tv_interval ($start_csav_time, $stop_csav_time);
  &debug("csav_scanner: finished scan of dir \"$scandir/$file_id\" in $csav_time secs");
}
