sub fprot_scanner {
  #F-prot scanner
  &debug("fprot: starting scan of directory \"$scandir/$file_id\"...");

  my ($fprot_verbose)="-list" if ($DEBUG);
  my ($start_fprot_time)=[gettimeofday];
  my ($DD,$fprot_status,$stop_fprot_time,$fprot_time);

  &debug("run $fprot_binary  $fprot_verbose -archive -dumb  $scandir/$file_id  2>&1");

  $DD=`$fprot_binary -ai -archive -dumb  $scandir/$file_id 2>&1`;
  $fprot_status=($? >> 8);

  &debug("--output of fprot was:\n$DD--");


  if ( $fprot_status > 0 ) {
    if ($DD =~ /Infection:(.*)|(is a\s+.*)|(could be\s+.*)|(Infected:\s+[^0]+)|(Suspicious:\s+[^0]+)\n/) {
      $quarantine_description=$+;
      &debug("There be a virus! ($quarantine_description)");
      ($quarantine_event=$quarantine_description)=~s/\s/_/g;
      $quarantine_event="FPROT:".substr($quarantine_event,0,$QE_LEN);
      $description .= "\n---fprot results ---\n$DD";
    }

    else {
      #This implies a corrupt set of DAT files or resource problems...
      &tempfail("corrupt or unknown F-Prot scanner/resource problems - exit status $fprot_status");
    }  
  }


  $stop_fprot_time=[gettimeofday];
  $fprot_time = tv_interval ($start_fprot_time, $stop_fprot_time);
  &debug("fprot: finished scan of dir \"$scandir/$file_id\" in $fprot_time secs");
}
