sub fsecure_scanner {
  #Fsecure scanner
  &debug("fsecure: starting scan of directory \"$scandir/$file_id\"...");
  my ($fsecure_verbose)="--list" if ($DEBUG);
  my ($start_fsecure_time)=[gettimeofday];
  my ($DD,$fsecure_status,$stop_fsecure_time,$fsecure_time);
  &debug("run $fsecure_binary  $fsecure_verbose --archive --auto --dumb  $scandir/$file_id 2>&1");
  $DD=`$fsecure_binary  $fsecure_verbose --archive --auto --dumb  $scandir/$file_id  2>&1`;
  $fsecure_status=($? >> 8);
  &debug("--output of fsecure was:\n$DD--");
  if ( $fsecure_status > 0 ) {
    if ($DD =~ /infection:(.*)\n/) {
      $quarantine_description=$1;
      &debug("There be a virus! ($quarantine_description)");
      ($quarantine_event=$quarantine_description)=~s/\s/_/g;
      $quarantine_event="FSEC:".substr($quarantine_event,0,$QE_LEN);
      $description .= "\n---fsecure results ---\n$DD";
    } else {
      #This implies a corrupt set of DAT files or resource problems...
      &tempfail("corrupt or unknown Fsecure scanner/resource problems - exit status $fsecure_status");
    }  
  }
  $stop_fsecure_time=[gettimeofday];
  $fsecure_time = tv_interval ($start_fsecure_time, $stop_fsecure_time);
  &debug("fsecure: finished scan of dir \"$scandir/$file_id\" in $fsecure_time secs");
}
