sub hbedv_scanner {
  #H+BEDV scanner
  &debug("hbedv: starting scan of directory \"$scandir/$file_id\"...");
  my ($hbedv_verbose)="-v" if ($DEBUG);
  my ($start_hbedv_time)=[gettimeofday];
  my ($DD,$hbedv_status,$stop_hbedv_time,$hbedv_time);

  &debug("run $hbedv_binary  -allfiles -s -tmp. -z $hbedv_verbose $scandir/$file_id  2>&1");
  $DD=`$hbedv_binary  -allfiles -s -tmp. -z $hbedv_verbose -s $scandir/$file_id   2>&1`;
  $DD=~s/\r//g;
  $hbedv_status=($? >> 8);
  &debug("--output of hbedv was:\n$DD--");
  if ( $hbedv_status > 0) {
    if ($DD =~ /(VIRUS.*)\n/) {
      $quarantine_description=$1;
      &debug("There be a virus! ($quarantine_description)");
      ($quarantine_event=$quarantine_description)=~s/\s/_/g;
      $quarantine_event="HBEDV:".substr($quarantine_event,0,$QE_LEN);
      $description .= "\n---hbedv results ---\n$DD";
    } else {
      #This implies a corrupt set of DAT files or resource problems...
      &tempfail("corrupt or unknown H+BEDV scanner/resource problems - exit status $hbedv_status");
    }
  }
  $stop_hbedv_time=[gettimeofday];
  $hbedv_time = tv_interval ($start_hbedv_time, $stop_hbedv_time);
  &debug("hbedv: finished scan of dir \"$scandir/$file_id\" in $hbedv_time secs");
} 

