sub inocucmd_scanner {
  #Innoculan scanner
  &debug("inocucmd: starting scan of directory \"$scandir/$file_id\"...");
  my ($start_inocucmd_time)=[gettimeofday];
  my ($DD,$inocucmd_status,$stop_inocucmd_time,$inocucmd_time);

  &debug("run $inocucmd_binary -SEC -NEX $scandir/$file_id   2>&1");
  $DD=`$inocucmd_binary  -SEC -NEX $scandir/$file_id  2>&1`;
  $inocucmd_status=($? >> 8);
  &debug("--output of inocucmd was:\n$DD--");
  
  if ( $inocucmd_status == 100 && $DD =~ /.*infected\sby\svirus\s(.*)\s/  ) {
    $quarantine_description=$1;
    &debug("There be a virus! ($quarantine_description)");
    ($quarantine_event=$quarantine_description)=~s/\s/_/g;
    $quarantine_event="INOC:".substr($quarantine_event,0,$QE_LEN);
    $description .= "\n$DD\n";
  } elsif ( $inocucmd_status > 0 ) {
    #This implies a corrupt set of DAT files or resource problems...
    &tempfail("corrupt or unknown Innoculan scanner/resource problems - exit status $inocucmd_status");
  }
  
  $stop_inocucmd_time=[gettimeofday];
  $inocucmd_time = tv_interval ($start_inocucmd_time, $stop_inocucmd_time);
  &debug("inocucmd: finished scan of dir \"$scandir/$file_id\" in $inocucmd_time secs");
} 


