sub ravlin_scanner {
  #RAV scanner
  &debug("ravlin_scanner: starting scan of directory \"$scandir/$file_id\"...");
  my ($ravlin_verbose)="--listall" if ($DEBUG);
  my ($start_ravlin_time)=[gettimeofday];
  my ($DD,$ravlin_status,$stop_ravlin_time,$ravlin_time,$ravlin_status);
  my $ravlin_options = "--mail --archive --heuristics=on --all";
  my ($cmd);
  $cmd="$ravlin_binary $ravlin_verbose  $ravlin_options $scandir/$file_id 2>&1";
  &debug("ravlin_scanner: $cmd");
  $DD =`$cmd`;
  $ravlin_status=($? >> 8);
  &debug("ravlin_scanner: $DD, exit status $ravlin_status");
  if ($ravlin_status > 0) {
    if ($DD =~ / Infected: (.*)/) {
      $quarantine_description=$1;
      &debug("ravlin_scanner: There be a virus! ($quarantine_description)");
      ($quarantine_event=$quarantine_description)=~s/\s/_/g;
      $quarantine_event="RAV:".substr($quarantine_event,0,$QE_LEN);
    } else {
      &debug("ravlin_scanner: Whoops! Something went wrong - requeue");
      &tempfail("corrupt or unknown Ravlin scanner/resource problems - exit status $ravlin_status");
    }
  }
  $stop_ravlin_time=[gettimeofday];
  $ravlin_time = tv_interval ($start_ravlin_time, $stop_ravlin_time);
  &debug("ravlin_scanner: finished scan of dir \"$scandir/$file_id\" in $ravlin_time secs");
}
